org.icefaces.ace.model.table

## Interface DepthFirstHeadTraversal.Callback<T,E extends java.lang.Throwable>

- All Known Implementing Classes:
    DepthFirstHeadTraversal.CallbackAdapter, TableConfigPanelRenderer
  Enclosing class:
    DepthFirstHeadTraversal<T,E extends java.lang.Throwable>

      public static interface DepthFirstHeadTraversal.Callback<T,E extends java.lang.Throwable>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterChildrenTraversal(T state, DepthFirstHeadTraversal.Quantity level, java.util.List<Column> columns, java.util.List<Column> correspondingColumns)`
    `void` | `afterSpanTraversal(T state, DepthFirstHeadTraversal.Quantity level, java.util.List<Column> columns, java.util.List<Column> correspondingColumns, int headerIndex, int bodyIndex)`
    `void` | `afterStackedTraversal(T state, DepthFirstHeadTraversal.Quantity level, Column column, Column correspondingColumn, int headerIndex, int bodyIndex, int stackedIndex)`
    `void` | `afterSubtreeTraversal(T state, DepthFirstHeadTraversal.Quantity level)`
    `void` | `afterTraversal(T state, DepthFirstHeadTraversal.Quantity level)`
    `void` | `beforeChildrenTraversal(T state, DepthFirstHeadTraversal.Quantity level, java.util.List<Column> columns, java.util.List<Column> correspondingColumns)`
    `void` | `beforeSpanTraversal(T state, DepthFirstHeadTraversal.Quantity level, java.util.List<Column> columns, java.util.List<Column> correspondingColumns, int headerIndex, int bodyIndex)`
    `void` | `beforeStackedTraversal(T state, DepthFirstHeadTraversal.Quantity level, Column column, Column correspondingColumn, int headerIndex, int bodyIndex, int stackedIndex)`
    `void` | `beforeSubtreeTraversal(T state, DepthFirstHeadTraversal.Quantity level)`
    `void` | `beforeTraversal(T state, DepthFirstHeadTraversal.Quantity level)`
    `void` | `columnTraversal(T state, DepthFirstHeadTraversal.Quantity level, Column column, Column correspondingColumn, int headerIndex, int bodyIndex, int stackedIndex)`

- - ### Method Detail

    - #### beforeTraversal

          void beforeTraversal(T state,
                               DepthFirstHeadTraversal.Quantity level)
                        throws E extends java.lang.Throwable

      Throws:
        `E extends java.lang.Throwable`

    - #### afterTraversal

          void afterTraversal(T state,
                              DepthFirstHeadTraversal.Quantity level)
                       throws E extends java.lang.Throwable

      Throws:
        `E extends java.lang.Throwable`

    - #### beforeSubtreeTraversal

          void beforeSubtreeTraversal(T state,
                                      DepthFirstHeadTraversal.Quantity level)
                               throws E extends java.lang.Throwable

      Throws:
        `E extends java.lang.Throwable`

    - #### afterSubtreeTraversal

          void afterSubtreeTraversal(T state,
                                     DepthFirstHeadTraversal.Quantity level)
                              throws E extends java.lang.Throwable

      Throws:
        `E extends java.lang.Throwable`

    - #### beforeSpanTraversal

          void beforeSpanTraversal(T state,
                                   DepthFirstHeadTraversal.Quantity level,
                                   java.util.List<Column> columns,
                                   java.util.List<Column> correspondingColumns,
                                   int headerIndex,
                                   int bodyIndex)
                            throws E extends java.lang.Throwable

      Throws:
        `E extends java.lang.Throwable`

    - #### afterSpanTraversal

          void afterSpanTraversal(T state,
                                  DepthFirstHeadTraversal.Quantity level,
                                  java.util.List<Column> columns,
                                  java.util.List<Column> correspondingColumns,
                                  int headerIndex,
                                  int bodyIndex)
                           throws E extends java.lang.Throwable

      Throws:
        `E extends java.lang.Throwable`

    - #### beforeStackedTraversal

          void beforeStackedTraversal(T state,
                                      DepthFirstHeadTraversal.Quantity level,
                                      Column column,
                                      Column correspondingColumn,
                                      int headerIndex,
                                      int bodyIndex,
                                      int stackedIndex)
                               throws E extends java.lang.Throwable

      Throws:
        `E extends java.lang.Throwable`

    - #### afterStackedTraversal

          void afterStackedTraversal(T state,
                                     DepthFirstHeadTraversal.Quantity level,
                                     Column column,
                                     Column correspondingColumn,
                                     int headerIndex,
                                     int bodyIndex,
                                     int stackedIndex)
                              throws E extends java.lang.Throwable

      Throws:
        `E extends java.lang.Throwable`

    - #### columnTraversal

          void columnTraversal(T state,
                               DepthFirstHeadTraversal.Quantity level,
                               Column column,
                               Column correspondingColumn,
                               int headerIndex,
                               int bodyIndex,
                               int stackedIndex)
                        throws E extends java.lang.Throwable

      Throws:
        `E extends java.lang.Throwable`

    - #### beforeChildrenTraversal

          void beforeChildrenTraversal(T state,
                                       DepthFirstHeadTraversal.Quantity level,
                                       java.util.List<Column> columns,
                                       java.util.List<Column> correspondingColumns)
                                throws E extends java.lang.Throwable

      Throws:
        `E extends java.lang.Throwable`

    - #### afterChildrenTraversal

          void afterChildrenTraversal(T state,
                                      DepthFirstHeadTraversal.Quantity level,
                                      java.util.List<Column> columns,
                                      java.util.List<Column> correspondingColumns)
                               throws E extends java.lang.Throwable

      Throws:
        `E extends java.lang.Throwable`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.